export const isListType = (typ) => typ?.kind === 'ListType';
export const isNonNullType = (typ) => typ?.kind === 'NonNullType';
export const isNamedType = (typ) => typ?.kind === 'NamedType';
export const isInput = (kind) => kind.includes('Input');
export const ObjectTypeDefinitionBuilder = (useObjectTypes, callback) => {
    if (!useObjectTypes)
        return undefined;
    return node => {
        if (/^(Query|Mutation|Subscription)$/.test(node.name.value)) {
            return;
        }
        return callback(node);
    };
};
